Move django-openstack-auth to openstack-build
[openstack-build/django_openstack_auth-build.git] / tests / runtests.sh
diff --git a/tests/runtests.sh b/tests/runtests.sh
new file mode 100755 (executable)
index 0000000..f6a3f99
--- /dev/null
@@ -0,0 +1,16 @@
+#!/bin/bash -x
+
+RES=0
+
+case $1 in
+python-django-openstack-auth|openstack_auth|python2-django-openstack-auth)
+    echo "Testing $1"
+    python -c "import openstack_auth"
+    RES=$?
+;;
+*)
+    echo "test not defined, skipping..."
+;;
+esac
+
+exit $RES